#global commit 5d6f1b698045e2a20d89165c8be17d28a0782cbe
#global shortcommit %%(c=%{commit}; echo ${c:0:7})
#global date 20170717
%global abi 1

Name: libmfx
Summary: Intel hardware video acceleration dispatcher library
Version: 1.23
Release: 3%{?dist}
URL:     https://github.com/lu-zero/mfx_dispatch
Source0: https://github.com/lu-zero/mfx_dispatch/archive/%{version}.tar.gz#/libmfx-%{version}.tar.gz
License: BSD
BuildRequires: gcc-c++
BuildRequires: libdrm-devel
BuildRequires: libtool
BuildRequires: libva-devel
ExclusiveArch: %{ix86} x86_64

%description
The dispatcher is a layer that lies between applications and Intel Media SDK
implementations. Upon initialization, the dispatcher locates the appropriate
platform-specific SDK implementation. If there is none, it will select the
software SDK implementation. The dispatcher will redirect subsequent function
calls to the same functions in the selected SDK implementation.

%package devel
Summary: Intel hardware video acceleration dispatcher library - development files
Requires: %{name}%{_isa} = %{version}-%{release}

%description devel
The dispatcher is a layer that lies between applications and Intel Media SDK
implementations. Upon initialization, the dispatcher locates the appropriate
platform-specific SDK implementation. If there is none, it will select the
software SDK implementation. The dispatcher will redirect subsequent function
calls to the same functions in the selected SDK implementation.

This package contains the development files.

%prep
%setup -q -n mfx_dispatch-%{version}
chmod 644 mfx/*.h
# bump SONAME (https://github.com/lu-zero/mfx_dispatch/issues/44)
sed -i -e 's/MFX_LT_CURRENT=0/MFX_LT_CURRENT=1/' configure.ac
autoreconf -vif

%build
%configure --disable-static --enable-shared
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/libmfx.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libmfx.so.%{abi}*

%files devel
%{_includedir}/mfx
%{_libdir}/pkgconfig/libmfx.pc
%{_libdir}/libmfx.so

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Björn Esser <besser82@fedoraproject.org> - 1.23-2
- Rebuilt for libva.so.2

* Tue Oct 17 2017 Dominik Mierzejewski <rpm@greysector.net> - 1.23-1
- update to 1.23 (#1471768)
- bump SONAME due to incompatible ABI change in 1.23
  (https://github.com/lu-zero/mfx_dispatch/issues/44)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 26 2017 Dominik Mierzejewski <rpm@greysector.net> - 1.21-1.20170322gite6fc25c
- update to 1.21

* Tue Feb 14 2017 Dominik Mierzejewski <rpm@greysector.net> - 1.19-1.20170114gita5ba231
- update to 1.19 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-2.20160317git7adf2e4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 10 2016 Dominik Mierzejewski <rpm@greysector.net> - 1.16-1.20160317git7adf2e4
- initial build
